[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: [Patch] cleanup config.lt in case LT_OUTPUT is in use
From: |
Ralf Wildenhues |
Subject: |
Re: [Patch] cleanup config.lt in case LT_OUTPUT is in use |
Date: |
Tue, 11 Nov 2008 23:43:02 +0100 |
User-agent: |
Mutt/1.5.18 (2008-05-17) |
Hi Charles,
* Charles Wilson wrote on Tue, Nov 11, 2008 at 03:26:48AM CET:
> Distcheck fails when configure.ac includes LT_OUTPUT. libtool.am should
> remove both generated libtool script and config.lt.
Thanks! This fix needed a testsuite addition.
Will apply as follows, to master and branch-1-10.
Please tell me which email address of yours to use
for the commit and ChangeLog entry. The one in THANKS?
Cheers,
Ralf
2008-11-11 Charles Wilson <email-address> (tiny change)
Ralf Wildenhues <address@hidden>
Cleanup config.lt in case LT_OUTPUT is in use.
* lib/am/libtool.am [TOPDIR_P] (distclean-libtool): clean up
config.lt as well as libtool.
* tests/libtoo11.test: New test.
* tests/Makefile.am: Update.
* NEWS: Update.
diff --git a/NEWS b/NEWS
index 327b550..2348af1 100644
--- a/NEWS
+++ b/NEWS
@@ -23,6 +23,9 @@ New in 1.10a:
- Libtool generic flags are now passed to the install and uninstall
modes as well.
+ - distcheck works with Libtool 2.x even when LT_OUTPUT is used, as
+ config.lt is removed correctly now.
+
* Languages changes:
- subdir-object mode works now with Fortran (F77, FC, preprocessed
diff --git a/lib/am/libtool.am b/lib/am/libtool.am
index 103f4d0..d565b69 100644
--- a/lib/am/libtool.am
+++ b/lib/am/libtool.am
@@ -1,6 +1,6 @@
## automake - create Makefile.in from Makefile.am
-## Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2001, 2003, 2005
-## Free Software Foundation, Inc.
+## Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2001, 2003, 2005,
+## 2008 Free Software Foundation, Inc.
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
@@ -26,4 +26,4 @@ clean-libtool:
?TOPDIR_P?distclean-am: distclean-libtool
?TOPDIR_P?distclean-libtool:
-?TOPDIR_P? -rm -f libtool
+?TOPDIR_P? -rm -f libtool config.lt
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 4b4a780..0b26a7d 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -373,6 +373,7 @@ libtool7.test \
libtool8.test \
libtool9.test \
libtoo10.test \
+libtoo11.test \
license.test \
link_c_cxx.test \
link_dist.test \
diff --git a/tests/libtoo11.test b/tests/libtoo11.test
new file mode 100755
index 0000000..030e2d3
--- /dev/null
+++ b/tests/libtoo11.test
@@ -0,0 +1,38 @@
+#! /bin/sh
+# Copyright (C) 2008 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure config.lt is removed with Libtool 2.2.x's LT_OUTPUT.
+# Report by Charles Wilson.
+
+required=libtoolize
+. ./defs || Exit 1
+set -e
+
+cat >> configure.in << 'END'
+AC_PROG_LIBTOOL
+m4_ifdef([LT_OUTPUT], [LT_OUTPUT])
+AC_OUTPUT
+END
+
+: > Makefile.am
+
+libtoolize
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+./configure
+$MAKE distcheck
+: